import numpy as np
from sklearn.model_selection import train_test_split
from sklearn.linear_model import LogisticRegression


D = np.loadtxt( "datos.txt" )
print( D.shape )

X = D[:,0:2]
y = D[:,2]

# Separamos los datos en datos de entrenamiento
# y datos de prueba
#

X_entrena, X_prueba, y_entrena, y_prueba = train_test_split( X, y, random_state=2 )


clasificador = LogisticRegression( )
clasificador.fit( X_entrena, y_entrena )

exac_entrena = clasificador.score( X_entrena, y_entrena )
print( exac_entrena )

exac_prueba = clasificador.score( X_prueba, y_prueba )
print( exac_prueba )

print( clasificador.classes_ )
print( clasificador.coef_ )
print( clasificador.intercept_ )
