import numpy as np
from sklearn.model_selection import train_test_split


D = np.loadtxt( "datos.txt" )
print( D.shape )

X = D[:,0:2]
y = D[:,2]

# Separamos los datos en datos de entrenamiento
# y datos de prueba
#

X_entrena, X_prueba, y_entrena, y_prueba = train_test_split( X, y, random_state=2 )

va = np.array( [-3.11170579,  0.2095035 ] )
a0 = -0.26148918

def evalua( va, vx, a0 ) :
	v = np.dot( va, vx) + a0

	return 1/( 1+np.exp(-v) )

n, m = X_prueba.shape 

i = 0
while i < n :
	r = evalua( va, X_prueba[i], a0 )
	if r > 0.5 :
		print( y_prueba[i], "1" )
	else :
		print( y_prueba[i], "0" )

	i = i+1
